# $Revision: 1.13.2.1 $, $Date: 2007/03/01 00:38:20 $
%include	/usr/lib/rpm/macros.php
%define		_class		MDB2
%define		_subclass	Driver_mysql
%define		_status		stable
%define		_pearname	MDB2_Driver_mysql

Summary:	%{_pearname} - mysql MDB2 driver
Summary(pl):	%{_pearname} - sterownik mysql dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.3.0
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	16a7b836904b36ca77a743554c7f0061
URL:		http://pear.php.net/package/MDB2_Driver_mysql/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(mysql)
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.3.0
Requires:	php-pear-PEAR-core >= 1:1.4.0b1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the MySQL MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl
Sterownik MySQL dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/mysql.php
%{php_pear_dir}/MDB2/Driver/Manager/mysql.php
%{php_pear_dir}/MDB2/Driver/Native/mysql.php
%{php_pear_dir}/MDB2/Driver/Reverse/mysql.php
%{php_pear_dir}/MDB2/Driver/mysql.php
%{php_pear_dir}/MDB2/Driver/Function/mysql.php
%{php_pear_dir}/data/MDB2_Driver_mysql

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-MDB2_Driver_mysql.spec,v $
Revision 1.13.2.1  2007/03/01 00:38:20  glen
- 1.3.0

Revision 1.13  2006/11/26 13:52:17  glen
- rel 2: use php(extension) virtuals

Revision 1.12  2006/09/04 10:48:11  adamg
- updated to 1.2.2

Revision 1.11  2006/09/02 17:26:39  adamg
- updated to 1.2.1

Revision 1.10  2006/08/06 12:07:17  adamg
- updated to 1.2.0

Revision 1.9  2006/06/21 23:31:12  adamg
- updated to 1.1.0

Revision 1.8  2006/06/03 21:47:35  glen
- 1.0.3

Revision 1.7  2006/06/03 21:29:46  glen
- updated deps

Revision 1.6  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.5  2006/04/24 10:42:46  adamg
- updated to 1.0.1

Revision 1.4  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.3  2006/02/16 18:36:49  glen
- 1.0.0-stable

Revision 1.2  2005/12/14 22:24:17  adamg
- fix MDB2 version in R: (thanks glen)

Revision 1.1  2005/12/14 21:53:54  adamg
- new (drivers for MDB2 that are now released as separate packages)
